Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftEnvelopeGenerator

    java.lang.Object
      com.sun.media.sound.SoftEnvelopeGenerator

All Implemented Interfaces:
  SoftControl, SoftProcess

    public class SoftEnvelopeGenerator

extends java.lang.Object
implements SoftProcess

AHDSR control signal envelope generator.

Author:
  Karl Helgason

Field Summary
`static int` | `EG_ATTACK`
`static int` | `EG_DECAY`
`static int` | `EG_DELAY`
`static int` | `EG_END`
`static int` | `EG_HOLD`
`static int` | `EG_OFF`
`static int` | `EG_RELEASE`
`static int` | `EG_SHUTDOWN`
`static int` | `EG_SUSTAIN`

Constructor Summary
`SoftEnvelopeGenerator()`

Method Summary
`double[]` | `get(int instance, java.lang.String name)`
`void` | `init(SoftSynthesizer synth)`
`void` | `processControlLogic()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EG_OFF

    public static final int EG_OFF

See Also:
  Constant Field Values

### EG_DELAY

    public static final int EG_DELAY

See Also:
  Constant Field Values

### EG_ATTACK

    public static final int EG_ATTACK

See Also:
  Constant Field Values

### EG_HOLD

    public static final int EG_HOLD

See Also:
  Constant Field Values

### EG_DECAY

    public static final int EG_DECAY

See Also:
  Constant Field Values

### EG_SUSTAIN

    public static final int EG_SUSTAIN

See Also:
  Constant Field Values

### EG_RELEASE

    public static final int EG_RELEASE

See Also:
  Constant Field Values

### EG_SHUTDOWN

    public static final int EG_SHUTDOWN

See Also:
  Constant Field Values

### EG_END

    public static final int EG_END

See Also:
  Constant Field Values

Constructor Detail

### SoftEnvelopeGenerator

    public SoftEnvelopeGenerator()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `SoftProcess`

### init

    public void init(SoftSynthesizer synth)

  Specified by:
    `init` in interface `SoftProcess`

### get

    public double[] get(int instance,
                        java.lang.String name)

  Specified by:
    `get` in interface `SoftControl`
  Specified by:
    `get` in interface `SoftProcess`

### processControlLogic

    public void processControlLogic()

  Specified by:
    `processControlLogic` in interface `SoftProcess`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD